/*
DTWLIB.H -- DTREND PROJECT
Author: Timo Ahonen
Version: 0.1
See DTWLIB.CPP
*/
#ifdef DTWLIB_EXPORTS
#define DTWLIB_API __declspec(dllexport)
#else
#define DTWLIB_API
#endif

#define DTW_DMETRICS 1

extern "C" {
struct DTWParameters {
         int dmetrics;
         int wwidth;
         int sconstraint;
         int seoffset;
};

struct DTWAllResultsElement {
         int tIndex;
         float dtwDistance;
};

struct DTWOneResult {
         float dtwDistance;
         int** warpingPath;
         int pathLen;
};


DTWLIB_API int DTAddTemplate(float* tSeq, int nSeq);
DTWLIB_API int DTDelTemplate(int tIndex);
DTWLIB_API DTWAllResultsElement* DTCompareAll(float* oSeq, int nSeq, 
						   DTWParameters params, int* numresults);
DTWLIB_API DTWOneResult* DTCompareOne(float* oSeq, int nSeq,
						  DTWParameters params, int tIndex);
DTWLIB_API float* DTGetTemplate(int tIndex, int* nSeq);
DTWLIB_API int DTFreeResources(void);

}
