/*
DTWOneResult.java -- DTREND PROJECT
Author: Tero Rontti
Version: 0.1
Revision date: 23.2.2002
Creation date: 10.2.2002


DTREND PROJECT
Project manager: Juha Ylipekkala
Project group: Timo Ahonen, Tero Rontti, Juha Ylipekkala

-------------------------------------------------------------------------------
REVISION HISTORY

Version 0.1
Initial working version
Author: Tero Rontti
Date: 23.2.2002
Known bugs/problems:
*/

package org.dtrend;

/** This class defines a single result received from DTREND DLL
 * @author Tero Rontti
 * @version 0.1
 */
public class DTWOneResult{
    private int tIndex;
    private float dtwDistance;
    private int[][] warpingPath;

    /** Create a new DTWOneResult object */
    public DTWOneResult(){
    } /** DTWOneResult() ends */

    /** Set template index.
     * @param newValue New index for the template
     */
    public void setTIndex( int newValue ){
	tIndex = newValue;
    } /** setTIndex() ends */

    /** Get template index.
     * @return Template index from attribute tIndex.
     */
    public int getTIndex( ){
	return tIndex;
    } /** getTIndex() ends */

    /** Set DTW distance.
     * @param newValue New DTW distance.
     */
    public void setDtwDistance( float newValue ){
	dtwDistance = newValue;
    } /** setDtwDistance() ends */

    /** Get DTW distance.
     * @return DTW distance from attribute dtwDistance
     */
    public float getDtwDistance( ){
	return dtwDistance;
    } /** getDtwDistance() ends */

    /** Set Warping path
     * @param newPath An integer array containing the warping path: newPath[i][0] contains the x coordinate, newPath[i][1] contains the y coordinate.
     */
    public void setWarpingPath( int[][] newPath ){
	warpingPath = new int[newPath.length][newPath[0].length];

	System.arraycopy( newPath, 0, warpingPath, 0, newPath.length );
    } /** setWarpingPath() ends */

    /** Get warping path
     * @return Warping path from attribute warpingPath
     */
    public int[][] getWarpingPath( ){
	return warpingPath;
    } /** getWarpingPath ends */

}
